# Get auth credentials

`GET /v1/environments/{environmentId}/authcredentials`

Available as MCP tool `get-all-auth-creds` (Read).

Credential endpoints allow you to manage custom authentication strategies for your organization's destinations. Destinations are the endpoints in your system that receive data from Redox. 

You may choose custom authentication for your destinations if you want more secure authentication credentials for any data coming into your system. 

With this set of Platform API endpoints, you can:

- retrieve a list of existing auth credentials for an environment;
- retrieve one auth credential by its ID;
- retrieve a list of supported auth strategies;
- create a new auth credential;
- update an existing auth credential; or
- delete an existing auth credential.

### Get auth credentials

Retrieve a list of existing auth credentials in a configured environment. The response contains the metadata for each defined auth credential.

You can use this query to find the IDs for auth credentials. If you'd like to review details for a specific auth credential, you can [retrieve an auth credential by its ID](https://docs.redoxengine.com/permalink/9897e277-6c0d-53ce-868b-3e71e645b2ac-get-auth-cred) instead.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `environmentId` | path | string | Yes | Identifies the specific environment that you're operating in or on behalf of. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/environments/{environmentId}/authcredentials' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a `payload` object with a property called `credentials` containing the matching auth credentials.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No |  |
| `payload.credentials` | Array of object | No | Contains auth credentials. |
| `payload.credentials[].organization` | number | Yes | Contains your unique Redox organization identifier. |
| `payload.credentials[].name` | string | Yes | Displays the name of the auth credential. |
| `payload.credentials[].environmentId` | string | Yes | Identifies the specific environment that the auth credential is used in. |
| `payload.credentials[].id` | string | Yes | Contains a unique identifier assigned to the auth credential. Use this value when querying for this auth credential in future API requests. |
| `payload.credentials[].createdAt` | string | Yes | Displays the timestamp of when the auth credential was created. This value is set by Redox. |
| `payload.credentials[].updatedAt` | string | Yes | Displays the timestamp of the last time this auth credential was updated. This value is set by Redox. |
| `payload.credentials[].authStrategy` | string | No | Indicates the specific strategy type that this auth credential belongs to. Possible values: GoogleWIF, OAuth_2.0_2-legged, SMART_Backend, JWT_Bearer, AwsSigV4, OAuth_2.0_JWT_GCP |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "credentials": [
      {
        "organization": 118,
        "name": "Sample Auth Credential",
        "environmentId": "a31a92e5-43b7-45df-8085-4ac5a746d105",
        "id": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "authStrategy": "GoogleWIF"
      }
    ]
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```
